
CREATE TABLE REGISTRY (
  ID bigint(20) NOT NULL AUTO_INCREMENT,
  BASEURL varchar(255) NOT NULL,
  NAME varchar(255) NOT NULL,
  DESCRIPTION varchar(255) DEFAULT NULL,
  STATUS varchar(20) DEFAULT 'NOT_REGISTERED',
  REG_DATA_ID bigint(20),
  NODE_CREDENTIALS_ID bigint(20),
  REGISTRY_CREDENTIALS_ID bigint(20),
  PRIMARY KEY (ID),
  UNIQUE KEY BASEURL (BASEURL)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;


ALTER TABLE NETWORKNODE ADD REGISTRY_ID bigint(20);
ALTER TABLE NETWORKNODE DROP ACCESSACCOUNT;
ALTER TABLE NETWORKNODE DROP ACCESSPASSWORD;
ALTER TABLE NETWORKNODE DROP INDEX NAME;
ALTER TABLE NETWORKNODE ADD CONSTRAINT FK_NETWORKNODE_REGISTRY_ID_ID FOREIGN KEY (REGISTRY_ID) REFERENCES REGISTRY (ID);


CREATE TABLE REGISTRATION_DATA(
  ID bigint(20) NOT NULL AUTO_INCREMENT,
  NODE_BASEURL varchar(255),
  NODEID varchar(255),
  PRIMARY KEY (ID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

ALTER TABLE REGISTRY ADD CONSTRAINT FK_REGISTRY_REG_DATA_ID FOREIGN KEY (REG_DATA_ID) REFERENCES REGISTRATION_DATA (ID);


CREATE TABLE T_NODE_CREDENTIALS (
  ID bigint(20) NOT NULL AUTO_INCREMENT,
  ACCESSPASSWORD BLOB,
  ACCESSACCOUNT varchar(255) DEFAULT NULL,
  NODEID varchar(255) NOT NULL,
  UNIQUE KEY NODEID (NODEID),
  PRIMARY KEY (ID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

ALTER TABLE REGISTRY ADD CONSTRAINT FK_NODE_NODE_CRED_ID FOREIGN KEY (NODE_CREDENTIALS_ID) REFERENCES T_NODE_CREDENTIALS (ID);

CREATE TABLE T_REGISTRY_CREDENTIALS (
  ID bigint(20) NOT NULL AUTO_INCREMENT,
  ACCESSPASSWORD BLOB,
  ACCESSACCOUNT varchar(255) DEFAULT NULL,
  PRIMARY KEY (ID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

ALTER TABLE REGISTRY ADD CONSTRAINT FK_NODE_REG_CRED_ID FOREIGN KEY (REGISTRY_CREDENTIALS_ID) REFERENCES T_REGISTRY_CREDENTIALS (ID);

DROP TABLE IF EXISTS T_NONCE;
CREATE TABLE T_NONCE (
  ID bigint(20) NOT NULL AUTO_INCREMENT,
  USEDATE timestamp,
  VALUE VARBINARY(80),
  UNIQUE KEY VALUE (VALUE),
  PRIMARY KEY (ID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

DROP TABLE IF EXISTS DATASET_REGISTRATION_DATA;
CREATE TABLE DATASET_REGISTRATION_DATA(
	ID bigint(20) NOT NULL AUTO_INCREMENT,
	REGISTRY_ID bigint(20),
	PROCESS_ID bigint(20),
	ACCEPTED bigint(1),
	PRIMARY KEY (ID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

ALTER TABLE DATASET_REGISTRATION_DATA ADD CONSTRAINT FK_DSR_REG_ID FOREIGN KEY (REGISTRY_ID) REFERENCES REGISTRY (ID);
ALTER TABLE DATASET_REGISTRATION_DATA ADD CONSTRAINT FK_DSR_PROCESS_ID FOREIGN KEY (PROCESS_ID) REFERENCES PROCESS (ID);